package addressparam

import "git.gocasts.ir/ebhomengo/niki/entity"

type BenefactorAddAddressRequest struct {
	PostalCode   string  `json:"postal_code"`
	Address      string  `json:"address"`
	Lat          float32 `json:"lat"`
	Lon          float32 `json:"lon"`
	CityID       uint    `json:"city_id"`
	ProvinceID   uint    `json:"province_id"`
	BenefactorID uint    `json:"benefactor_id"`
}

type BenefactorAddAddressResponse struct {
	Address entity.Address `json:"address"`
}
